import '@guoyunhe/prism-theme-github/github-light.css';
import { CSSProperties } from 'react';
import './DocUI.css';
import { DocLanguage, MDXDoc } from './types.js';
export interface DocUIProps {
    /**
     * Imported Markdown/MDX files. For example:
     *
     * ```jsx
     * import * as readme from './README.md';
     * import * as changelog from './CHANGELOG.md';
     *
     * <DocUI docs={[ readme, changelog ]} />
     * ```
     */
    docs?: MDXDoc[];
    /**
     * React Router basename
     */
    basename?: string;
    /**
     * Supported languages
     */
    languages?: DocLanguage[];
    /**
     * Extra className.
     */
    className?: string;
    /**
     * Extra style.
     */
    style?: CSSProperties;
}
export declare function DocUI({ docs, basename, languages, className, style, }: DocUIProps): import("react/jsx-runtime").JSX.Element;
