import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import '@guoyunhe/prism-theme-github/github-light.css';
import { MDXProvider } from '@mdx-js/react';
import cn from 'classnames';
import { createInstance } from 'i18next';
import { useMemo } from 'react';
import { I18nextProvider } from 'react-i18next';
import { BrowserRouter, Route, Routes } from 'react-router-dom';
import './DocUI.css';
import { SiteNav } from './private/SiteNav.js';
import { components } from './private/components.js';
import { getRoutePath } from './private/getRoutePath.js';
export function DocUI({ docs = [], basename, languages, className, style, }) {
    const i18n = useMemo(() => {
        const i18n = createInstance({
            fallbackLng: 'en',
            supportedLngs: languages?.map((lang) => lang.code),
            debug: true,
            interpolation: {
                escapeValue: false, // not needed for react as it escapes by default
            },
            resources: {
                en: {
                    translation: {
                        hello: 'Hello from other i18n instance',
                    },
                },
                de: {
                    translation: {
                        hello: 'Hallo aus einer anderen i18n Instanz',
                    },
                },
            },
        });
        i18n.init();
        return i18n;
    }, [languages]);
    return (_jsx(I18nextProvider, { i18n: i18n, children: _jsx(BrowserRouter, { basename: basename, children: _jsxs("div", { className: cn('doc-ui', className), style: style, children: [_jsx(SiteNav, { languages: languages, docs: docs }), _jsx("main", { className: "doc-ui-main", children: _jsx("article", { className: "doc-ui-content", children: _jsx(MDXProvider, { components: components, children: _jsx(Routes, { children: docs.map((doc) => (_jsx(Route, { index: doc.filepath === 'README.md', path: getRoutePath(doc.filepath), Component: doc.default }, doc.filepath))) }) }) }) })] }) }) }));
}
